<template>
  <div
    class="kit accordion"
    :class="lineColor">
    <div
      class="panel"
      :class="{opened : open}">
      <div
        class="title"
        :class="{ fluid: fluidTitle }"
        @click="toggle">
        <slot name="title-panel"/>
      </div>
      <slot name="content"/>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Accordion',
  props: {
    lineColor: {
      type: String,
      default: 'color-1',
    },
    fluidTitle: {
      type: Boolean,
      default: true,
    },
    initialOpen: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {
      open: this.initialOpen,
    };
  },
  methods: {
    toggle() {
      this.open = !this.open;
    },
    hide() {
      this.open = false;
    },
    show() {
      this.open = true;
    },
  },
};
</script>

<style scoped lang="scss">
  .kit.accordion {
    width: 100%;
    display: block;
    &.color-none .panel:before {
      background-color: transparent;
    }
    &.color-1 .panel:before {
      background-color: #669ed9;
    }
    &.color-2 .panel:before {
      background-color: #ffcf68;
    }
    &.color-3 .panel:before {
      background-color: #74abbc;
    }
    .panel {
      display: block;
      width: 100%;
      cursor: pointer;
      position: relative;
      border-bottom: 1px solid #9badb9;
      &:before {
        content: '';
        position: absolute;
        left: 0;
        top: -1px;
        bottom: -1px;
        width: 0.5rem;
        background-color: #669ed9;
      }
      .content {
        display: none !important;
        .inner {
          display: block;
          width: 100%;
          padding: 1rem 1rem 2rem 1.5rem;
          &.default {
            padding: 1rem 0;
          }
          &.center {
            padding: 1rem 1rem 2rem;
          }
        }
      }
      &.opened {
        .content {
          display: flex !important;
        }
        .title:after {
          transform: translate(0, -50%) rotate(0);
        }
      }
    }
    .title {
      display: inline-block;
      position: relative;
      padding: 1rem 2.75rem 1rem 1.5rem;
      border-top: none;
      color: #141414;
      font-size: 1rem;
      font-weight: 500;
      width: auto;
      &.fluid {
        display: block;
        width: 100%;
      }
      .count {
        font-weight: 400;
        padding-left: 0.25rem;
      }
      >.short {
        width: auto;
        font-weight: 500;
        padding-right: 1rem;
      }
      &:after {
        content: '';
        display: block;
        width: 0.75rem;
        height: 1rem;
        color: #9badb9;
        position: absolute;
        top: 50%;
        right: 1.5rem;
        background-repeat: no-repeat;
        background-position: center;
        background-size: contain;
        background-image: url("~assets/svg/arrow/up.svg");
        transform: translate(0, -50%) rotate(-180deg);
      }
    }

    &.light {
      .panel:before {
        display: none;
      }
      .title {
        font-size: 13px;
        font-weight: 400;
        padding: 1rem 1.5rem 1rem 0;
        &:after {
          font-size: 0.75rem;
          right: 0.125rem;
        }
      }

    }
  }


</style>
